:root {
  --Blau_Hell: #a4c4ff;
  --Blau_Dunkel: rgb(0, 21, 59);
  --Blau_Transparent: hsla(219, 100%, 50%, 0.2);

  --Grün_Hell: #d5ffc8;
  --Grün_Dunkel: lch(25.32% 44.42 132.73);
  --Grün_Transparent: #d5ffc8d7;

  --Gelb_Hell: rgb(243, 255, 184);
  --Gelb_Dunkel: rgb(73, 76, 0);
  --Gelb_Transparent: #f3ffb8d7;

  --Rot_Hell: rgb(255, 204, 204);
  --Rot_Dunkel: rgb(121, 0, 0);
  --Rot_Transparent: #790000d7;
}

body {
  width: 100vw;
  height: 100vh;
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  overflow-x: hidden;
  overflow-y: scroll;
  background-color: var(--Blau_Hell);
}

/* Header */
header {
  width: calc(100% - 0px);
  height: 70px;
  background-color: var(--Blau_Dunkel);
  color: var(--Blau_Hell);
  position: fixed;
  top: 0;
  z-index: 5000;

  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
  padding: 0px;
}


.headerText {
  width: calc(100% - 0px);
  height: 100%;
  margin: 0px;
  padding: 0px;
  text-align: center;
  font-size: 20px;

  background-color: var(--Blau_Dunkel);
  color: var(--Blau_Hell);

  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
  padding: 0px;
}


#imgLogo {
  width: 100%;
  height: 70px;
  object-fit: cover;
  object-position: center;
  margin: 0;
  padding: 0;
}


h1 {
  width: calc(100% - 140px);
  margin: 0px;
  padding: 0px;
  text-align: center;
  font-size: 24px;

  background-color: var(--Blau_Dunkel);
  color: var(--Blau_Hell);
}




/* Hauptnavigation (Desktop) */
nav {
  width: calc(100% - 0px);
  height: 50px;
  background-color: var(--Blau_Dunkel);

position: fixed;
  top: 50px;
  left: 0px;
  z-index: 5500;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;

  margin: 0 0px;
  padding: 0px 0 0 0;
  gap: 10px;
}

nav > a {
  width: fit-content;
  height: fit-content;
  font-size: 18px;
  margin: 0px 0;
  padding: 5px  10px;
  text-decoration: none;
  border: none;
  transition: 0.5s;
  text-align: center;
  z-index: 2000;

  background-color: var(--Blau_Dunkel);
  color: var(--Rot_Hell);
}

nav > a:hover {
  background-color: var(--Rot_Hell);
  color: var(--Rot_Dunkel);
}





/* Hamburger Menü */
.hamburger {
  display: flex;
  flex-direction: column;
  cursor: pointer;
  width: 30px;
  height: 25px;
  margin: 10px;
  justify-content: space-between;
  z-index: 6000;
}

.hamburger span {
  display: block;
  height: 4px;
  background: var(--Blau_Hell);
  border-radius: 2px;
}

h5 {
  width: calc(100% - 0px);
  padding: 0px 10px;
  margin: 20px 0px 0px 0px;

  font-size: 16px;

  background-color: var(--Blau_Hell);
  color: var(--Blau_Dunkel);
}




#logo {
  width: calc(100% - 0px);
  height: 100px;
}
#logo > #imgLogoBanner {
  width: 100%;
  height: 150px;
  object-fit: cover;
  object-position: center;
}

/* ---- MAIN ---- */
main {
  width: calc(100% - 40px);
  margin: 0px;
  padding: 0px 20px;
  background-color: var(--Blau_Hell);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-wrap: nowrap;
    gap: 10px;
}


section {
  width: calc(100% - 0px);
  height:calc(100% - 200px);
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;

  border-radius: 5px;
  padding: 0px;
  margin: 100px 0;

  background-color: var(--Blau_Hell);
  color: var(--Blau_Dunkel);
}

article {
  width: calc(100% - 20px);
  height: fit-content;
  margin: 10px;
  padding: 0;
  background-color: var(--Blau_Hell);
  box-shadow: 0px 0px 30px 30px var(--Blau_Hell);

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  flex-wrap: nowrap;
  gap: 5px;
}

article > h3 {
  width: calc(100% - 0px);
  padding: 20px 10px;
  margin: 0px 0px;

  font-size: 22px;

  background-color: var(--Blau_Hell);
  color: var(--Blau_Dunkel);
}

article > h4,
.calibration-group > h4 {
  width: calc(100% - 20px);
  padding: 0px 10px;
  margin: 10px 0px 0px 0px;

  font-size: 20px;

  color: var(--Blau_Dunkel);
}

article > p {
  width: calc(100% - 20px);
  padding: 0px 10px;
  margin: 0px 0px;

  font-size: 18px;

  color: var(--Blau_Dunkel);
}

article > a {
  width: fit-content;
  padding: 5px 10px;
  margin: 0px;

  font-size: 20px;
  border-radius: 5px;
  transition: 0.5s;

  text-decoration: none;
  color: var(--Rot_Dunkel);
}
article > a:hover {
  background-color: var(--Blau_Dunkel);
  color: var(--Blau_Hell);
}

.deko {
  position: sticky;
  top: 100px;
  width: 300px;
  height: auto;
  border-radius: 10px;
  object-fit: cover;
  object-position: center;
  z-index: 0;
}

/* Mobile Navigation */
.mobile-nav {
  display: none; /* Initial ausgeblendet, wird per JS gesteuert */
  flex-direction: row;
  gap: 5px;
  position: absolute;
  right: 1em;
  top: 3.5em; /* Ursprünglicher Wert, kann angepasst werden */
  background-color: var(--Blau_Hell);
  border: 2px solid var(--Blau_Dunkel);
  color: var(--Blau_Dunkel);
  border-radius: 5px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
  padding: 1em;
  z-index: 10000;
  width: 200px;
  height: fit-content;
  max-height: 80vh; /* Maximale Höhe für mobile Navigation */
  overflow-y: auto; /* Scrollbar hinzufügen, wenn der Inhalt zu groß ist */
  transition: all 0.3s ease-in-out;
  box-sizing: border-box; /* Stellt sicher, dass Padding und Border in der Breite enthalten sind */
  padding: 10px; /* Padding hinzufügen, um den Inhalt zu polstern */
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2); /* Leichter Schatten für bessere Sichtbarkeit */
  border-radius: 10px; /* Abgerundete Ecken für die mobile Navigation */
  
}

.mobile-nav > h3 {
  width: calc(
    100% - 0px
  ); /* Behält den spezifischen Stil für h3 in mobiler Nav */
  font-size: 14px;
  margin: 30px 0px 0px 0px;
  color: var(--Blau_Dunkel);
  text-align: left;
}

.mobile-nav > a {
  width: calc(100% - 20px);
  font-size: 14px;
  margin: 2px 0px;
  color: rgb(200, 213, 255);
  background-color: #295ac0;
  padding: 5px 10px;
  text-decoration: none;
  border: none;
  text-align: left;
}
